diff mbox

[v2,2/2] test: sched_latency: add test script

Message ID 1473843187-25588-2-git-send-email-matias.elo@nokia.com
State Accepted
Commit 88df2613cb91022233f9ec973f6ef338eb060f17
Headers show

Commit Message

Elo, Matias (Nokia - FI/Espoo) Sept. 14, 2016, 8:53 a.m. UTC
Signed-off-by: Matias Elo <matias.elo@nokia.com>

---

V2:
- Exit on first failure (Maxim)

 test/common_plat/performance/Makefile.am           |  1 +
 .../performance/odp_sched_latency_run.sh           | 28 ++++++++++++++++++++++
 2 files changed, 29 insertions(+)
 create mode 100755 test/common_plat/performance/odp_sched_latency_run.sh

-- 
2.7.4
diff mbox

Patch

diff --git a/test/common_plat/performance/Makefile.am b/test/common_plat/performance/Makefile.am
index f5dd8dd..f184609 100644
--- a/test/common_plat/performance/Makefile.am
+++ b/test/common_plat/performance/Makefile.am
@@ -9,6 +9,7 @@  COMPILE_ONLY = odp_l2fwd$(EXEEXT) \
 	       odp_scheduling$(EXEEXT)
 
 TESTSCRIPTS = odp_l2fwd_run.sh \
+	      odp_sched_latency_run.sh \
 	      odp_scheduling_run.sh
 
 TEST_EXTENSIONS = .sh
diff --git a/test/common_plat/performance/odp_sched_latency_run.sh b/test/common_plat/performance/odp_sched_latency_run.sh
new file mode 100755
index 0000000..6048f58
--- /dev/null
+++ b/test/common_plat/performance/odp_sched_latency_run.sh
@@ -0,0 +1,28 @@ 
+#!/bin/sh
+#
+# Copyright (c) 2016, Linaro Limited
+# All rights reserved.
+#
+# SPDX-License-Identifier:	BSD-3-Clause
+#
+# Script that passes command line arguments to odp_sched_latency test when
+# launched by 'make check'
+
+TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+ALL=0
+
+run()
+{
+	echo odp_sched_latency_run starts requesting $1 worker threads
+	echo ===============================================
+
+	$TEST_DIR/odp_sched_latency${EXEEXT} -c $1 || exit $?
+}
+
+run 1
+run 5
+run 8
+run 11
+run $ALL
+
+exit 0